tigase.jaxmpp.core.client

## Class JaxmppCore.DefaultPacketWriter

- java.lang.Object
- - tigase.jaxmpp.core.client.JaxmppCore.DefaultPacketWriter

- All Implemented Interfaces:
    PacketWriter
  Enclosing class:
    JaxmppCore

      protected class JaxmppCore.DefaultPacketWriter
      extends Object
      implements PacketWriter

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultPacketWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(Element stanza)` Write a element to Stream.
    `void` | `write(Element stanza, AsyncCallback asyncCallback)` Write a (IQ) stanza element to Stream and register callback with default timeout.
    `void` | `write(Element stanza, Long timeout, AsyncCallback asyncCallback)` Write a (IQ) stanza element to Stream and register callback with given timeout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPacketWriter

          protected DefaultPacketWriter()

  - ### Method Detail

    - #### write

          public void write(Element stanza)
                     throws JaxmppException

      Description copied from interface: `PacketWriter`
      Write a element to Stream.
      Specified by:
        `write` in interface `PacketWriter`
      Parameters:
        `stanza` - Element to write
      Throws:
        `JaxmppException`

    - #### write

          public void write(Element stanza,
                            AsyncCallback asyncCallback)
                     throws JaxmppException

      Description copied from interface: `PacketWriter`
      Write a (IQ) stanza element to Stream and register callback with default timeout.
      Specified by:
        `write` in interface `PacketWriter`
      Parameters:
        `stanza` - Element to write
        `asyncCallback` - AsyncCallback to register
      Throws:
        `JaxmppException`

    - #### write

          public void write(Element stanza,
                            Long timeout,
                            AsyncCallback asyncCallback)
                     throws JaxmppException

      Description copied from interface: `PacketWriter`
      Write a (IQ) stanza element to Stream and register callback with given timeout.
      Specified by:
        `write` in interface `PacketWriter`
      Parameters:
        `stanza` - stanza Element to write
        `timeout` - time after which will be execute AsyncCallback.onTimeout()
        `asyncCallback` - asyncCallback AsyncCallback to register
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.